# $Revision: 1.10 $, $Date: 2002/07/12 18:16:45 $
%include	/usr/lib/rpm/macros.php
%define         _class          Net
%define         _subclass       Socket
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_class}_%{_subclass} - Network Socket Interface
Summary(pl):	%{_class}_%{_subclass} - Interfejs socketw sieciowych
Name:		php-pear-%{_pearname}
Version:	1.0.1
Release:	3
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
URL:		http://pear.php.net/
BuildRequires:	rpm-php-pearprov
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net_Socket is a class interface to TCP sockets. It provides blocking
and non-blocking operation, with different reading and writing modes
(byte-wise, block-wise, line-wise and special formats like network
byte-order ip addresses).

%description -l pl
Net_Socket to klasa z interfejsem do gniazd TCP. Umoliwia operacje
blokujce i nieblokujce, z rnymi trybami odczytu i zapisu
(bajtowym, blokowym, liniowym i specjalnymi formatami, jak bajty w
kolejnoci adresw sieciowych).

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}

install %{_pearname}-%{version}/*.php $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{php_pear_dir}/%{_class}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: php-pear-Net_Socket.spec,v $
Revision 1.10  2002/07/12 18:16:45  blues
- release 3 (rebuild with new rpm)
- forgotten macros

Revision 1.9  2002/07/12 11:28:29  blues
- removed not neccessary provides

Revision 1.8  2002/07/08 00:46:49  blues
- new one requires

Revision 1.7  2002/07/04 22:42:45  blues
- release 2

Revision 1.6  2002/06/30 22:17:56  blues
- small fix

Revision 1.5  2002/06/30 19:43:12  kloczek
- simplifications in %install.

Revision 1.4  2002/06/29 14:38:50  blues
- dir removed

Revision 1.3  2002/06/25 10:17:35  blues
- more macros

Revision 1.2  2002/06/24 21:27:42  qboosh
- pl description

Revision 1.1  2002/06/24 12:38:58  blues
- Net_Socket class
